package com.dgtis.civilserviceperformance.model;

import javax.persistence.*;
import java.sql.Timestamp;
import java.util.Objects;

/**
 * @Author: csz
 * @Date: 2019/4/9 16:14
 */
@Entity
@Table(name = "hs_civil_service_performance", schema = "hsdata", catalog = "")
public class HsCivilServicePerformance {
    private long id;
    private Timestamp gmtCreate;
    private String creator;
    private Timestamp gmtModified;
    private String modifier;
    private String isDeleted;
    private String name;
    private String registrationNumber;
    private String sex;
    private String jobCode;
    private String department;
    private String applicationPosition;
    private Integer numberPlans;
    private Double test;
    private Double application;
    private Double writtenTestScore;
    private Double interviewResults;
    private Double consolidatedResults;
    private Integer consolidatedResultsOrder;
    private String isEnterMedicalExamination;

    @Id
    @Column(name = "ID", nullable = false)
    public long getId() {
        return id;
    }

    public void setId(long id) {
        this.id = id;
    }

    @Basic
    @Column(name = "GMT_CREATE", nullable = true)
    public Timestamp getGmtCreate() {
        return gmtCreate;
    }

    public void setGmtCreate(Timestamp gmtCreate) {
        this.gmtCreate = gmtCreate;
    }

    @Basic
    @Column(name = "CREATOR", nullable = true, length = 30)
    public String getCreator() {
        return creator;
    }

    public void setCreator(String creator) {
        this.creator = creator;
    }

    @Basic
    @Column(name = "GMT_MODIFIED", nullable = true)
    public Timestamp getGmtModified() {
        return gmtModified;
    }

    public void setGmtModified(Timestamp gmtModified) {
        this.gmtModified = gmtModified;
    }

    @Basic
    @Column(name = "MODIFIER", nullable = true, length = 30)
    public String getModifier() {
        return modifier;
    }

    public void setModifier(String modifier) {
        this.modifier = modifier;
    }

    @Basic
    @Column(name = "IS_DELETED", nullable = true, length = 1)
    public String getIsDeleted() {
        return isDeleted;
    }

    public void setIsDeleted(String isDeleted) {
        this.isDeleted = isDeleted;
    }

    @Basic
    @Column(name = "name", nullable = true, length = 100)
    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    @Basic
    @Column(name = "registration_number", nullable = true, length = 100)
    public String getRegistrationNumber() {
        return registrationNumber;
    }

    public void setRegistrationNumber(String registrationNumber) {
        this.registrationNumber = registrationNumber;
    }

    @Basic
    @Column(name = "sex", nullable = true, length = 20)
    public String getSex() {
        return sex;
    }

    public void setSex(String sex) {
        this.sex = sex;
    }

    @Basic
    @Column(name = "job_code", nullable = true, length = 100)
    public String getJobCode() {
        return jobCode;
    }

    public void setJobCode(String jobCode) {
        this.jobCode = jobCode;
    }

    @Basic
    @Column(name = "department", nullable = true, length = 300)
    public String getDepartment() {
        return department;
    }

    public void setDepartment(String department) {
        this.department = department;
    }

    @Basic
    @Column(name = "application_position", nullable = true, length = 100)
    public String getApplicationPosition() {
        return applicationPosition;
    }

    public void setApplicationPosition(String applicationPosition) {
        this.applicationPosition = applicationPosition;
    }

    @Basic
    @Column(name = "number_plans", nullable = true)
    public Integer getNumberPlans() {
        return numberPlans;
    }

    public void setNumberPlans(Integer numberPlans) {
        this.numberPlans = numberPlans;
    }

    @Basic
    @Column(name = "test", nullable = true, precision = 0)
    public Double getTest() {
        return test;
    }

    public void setTest(Double test) {
        this.test = test;
    }

    @Basic
    @Column(name = "application", nullable = true, precision = 0)
    public Double getApplication() {
        return application;
    }

    public void setApplication(Double application) {
        this.application = application;
    }

    @Basic
    @Column(name = "written_test_score", nullable = true, precision = 0)
    public Double getWrittenTestScore() {
        return writtenTestScore;
    }

    public void setWrittenTestScore(Double writtenTestScore) {
        this.writtenTestScore = writtenTestScore;
    }

    @Basic
    @Column(name = "interview_results", nullable = true, precision = 0)
    public Double getInterviewResults() {
        return interviewResults;
    }

    public void setInterviewResults(Double interviewResults) {
        this.interviewResults = interviewResults;
    }

    @Basic
    @Column(name = "consolidated_results", nullable = true, precision = 0)
    public Double getConsolidatedResults() {
        return consolidatedResults;
    }

    public void setConsolidatedResults(Double consolidatedResults) {
        this.consolidatedResults = consolidatedResults;
    }

    @Basic
    @Column(name = "consolidated_results_order", nullable = true)
    public Integer getConsolidatedResultsOrder() {
        return consolidatedResultsOrder;
    }

    public void setConsolidatedResultsOrder(Integer consolidatedResultsOrder) {
        this.consolidatedResultsOrder = consolidatedResultsOrder;
    }

    @Basic
    @Column(name = "is_enter_medical_examination", nullable = true, length = 30)
    public String getIsEnterMedicalExamination() {
        return isEnterMedicalExamination;
    }

    public void setIsEnterMedicalExamination(String isEnterMedicalExamination) {
        this.isEnterMedicalExamination = isEnterMedicalExamination;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (o == null || getClass() != o.getClass()) return false;
        HsCivilServicePerformance that = (HsCivilServicePerformance) o;
        return id == that.id &&
                Objects.equals(gmtCreate, that.gmtCreate) &&
                Objects.equals(creator, that.creator) &&
                Objects.equals(gmtModified, that.gmtModified) &&
                Objects.equals(modifier, that.modifier) &&
                Objects.equals(isDeleted, that.isDeleted) &&
                Objects.equals(name, that.name) &&
                Objects.equals(registrationNumber, that.registrationNumber) &&
                Objects.equals(sex, that.sex) &&
                Objects.equals(jobCode, that.jobCode) &&
                Objects.equals(department, that.department) &&
                Objects.equals(applicationPosition, that.applicationPosition) &&
                Objects.equals(numberPlans, that.numberPlans) &&
                Objects.equals(test, that.test) &&
                Objects.equals(application, that.application) &&
                Objects.equals(writtenTestScore, that.writtenTestScore) &&
                Objects.equals(interviewResults, that.interviewResults) &&
                Objects.equals(consolidatedResults, that.consolidatedResults) &&
                Objects.equals(consolidatedResultsOrder, that.consolidatedResultsOrder) &&
                Objects.equals(isEnterMedicalExamination, that.isEnterMedicalExamination);
    }

    @Override
    public int hashCode() {
        return Objects.hash(id, gmtCreate, creator, gmtModified, modifier, isDeleted, name, registrationNumber, sex, jobCode, department, applicationPosition, numberPlans, test, application, writtenTestScore, interviewResults, consolidatedResults, consolidatedResultsOrder, isEnterMedicalExamination);
    }
}
