package com.dgtis.common.model;

import javax.persistence.*;
import java.sql.Timestamp;
import java.util.Objects;

/**
 * @Author: csz
 * @Date: 2019/4/10 15:58
 */
@Entity
@Table(name = "hs_airport_throughput", schema = "hsdata", catalog = "")
public class HsAirportThroughput {
    private long id;
    private Timestamp gmtCreate;
    private String creator;
    private Timestamp gmtModified;
    private String modifier;
    private String isDeleted;
    private String name;
    private Integer passengerOrder;
    private Integer passengerThisPeriod;
    private Integer passengerLastYear;
    private Float passengerSpeedIncrease;
    private Integer mailingOrder;
    private Integer mailingThisPeriod;
    private Integer mailingLastYear;
    private Float mailingSpeedIncrease;
    private Integer frameOrder;
    private Integer frameThisPeriod;
    private Integer frameLastYear;
    private Float frameSpeedIncrease;

    @Id
    @Column(name = "ID", nullable = false)
    public long getId() {
        return id;
    }

    public void setId(long id) {
        this.id = id;
    }

    @Basic
    @Column(name = "GMT_CREATE", nullable = true)
    public Timestamp getGmtCreate() {
        return gmtCreate;
    }

    public void setGmtCreate(Timestamp gmtCreate) {
        this.gmtCreate = gmtCreate;
    }

    @Basic
    @Column(name = "CREATOR", nullable = true, length = 30)
    public String getCreator() {
        return creator;
    }

    public void setCreator(String creator) {
        this.creator = creator;
    }

    @Basic
    @Column(name = "GMT_MODIFIED", nullable = true)
    public Timestamp getGmtModified() {
        return gmtModified;
    }

    public void setGmtModified(Timestamp gmtModified) {
        this.gmtModified = gmtModified;
    }

    @Basic
    @Column(name = "MODIFIER", nullable = true, length = 30)
    public String getModifier() {
        return modifier;
    }

    public void setModifier(String modifier) {
        this.modifier = modifier;
    }

    @Basic
    @Column(name = "IS_DELETED", nullable = true, length = 1)
    public String getIsDeleted() {
        return isDeleted;
    }

    public void setIsDeleted(String isDeleted) {
        this.isDeleted = isDeleted;
    }

    @Basic
    @Column(name = "name", nullable = true, length = 300)
    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    @Basic
    @Column(name = "passenger_order", nullable = true)
    public Integer getPassengerOrder() {
        return passengerOrder;
    }

    public void setPassengerOrder(Integer passengerOrder) {
        this.passengerOrder = passengerOrder;
    }

    @Basic
    @Column(name = "passenger_this_period", nullable = true)
    public Integer getPassengerThisPeriod() {
        return passengerThisPeriod;
    }

    public void setPassengerThisPeriod(Integer passengerThisPeriod) {
        this.passengerThisPeriod = passengerThisPeriod;
    }

    @Basic
    @Column(name = "passenger_last_year", nullable = true)
    public Integer getPassengerLastYear() {
        return passengerLastYear;
    }

    public void setPassengerLastYear(Integer passengerLastYear) {
        this.passengerLastYear = passengerLastYear;
    }

    @Basic
    @Column(name = "passenger_speed_increase", nullable = true, precision = 0)
    public Float getPassengerSpeedIncrease() {
        return passengerSpeedIncrease;
    }

    public void setPassengerSpeedIncrease(Float passengerSpeedIncrease) {
        this.passengerSpeedIncrease = passengerSpeedIncrease;
    }

    @Basic
    @Column(name = "mailing_order", nullable = true)
    public Integer getMailingOrder() {
        return mailingOrder;
    }

    public void setMailingOrder(Integer mailingOrder) {
        this.mailingOrder = mailingOrder;
    }

    @Basic
    @Column(name = "mailing_this_period", nullable = true)
    public Integer getMailingThisPeriod() {
        return mailingThisPeriod;
    }

    public void setMailingThisPeriod(Integer mailingThisPeriod) {
        this.mailingThisPeriod = mailingThisPeriod;
    }

    @Basic
    @Column(name = "mailing_last_year", nullable = true)
    public Integer getMailingLastYear() {
        return mailingLastYear;
    }

    public void setMailingLastYear(Integer mailingLastYear) {
        this.mailingLastYear = mailingLastYear;
    }

    @Basic
    @Column(name = "mailing_speed_increase", nullable = true, precision = 0)
    public Float getMailingSpeedIncrease() {
        return mailingSpeedIncrease;
    }

    public void setMailingSpeedIncrease(Float mailingSpeedIncrease) {
        this.mailingSpeedIncrease = mailingSpeedIncrease;
    }

    @Basic
    @Column(name = "frame_order", nullable = true)
    public Integer getFrameOrder() {
        return frameOrder;
    }

    public void setFrameOrder(Integer frameOrder) {
        this.frameOrder = frameOrder;
    }

    @Basic
    @Column(name = "frame_this_period", nullable = true)
    public Integer getFrameThisPeriod() {
        return frameThisPeriod;
    }

    public void setFrameThisPeriod(Integer frameThisPeriod) {
        this.frameThisPeriod = frameThisPeriod;
    }

    @Basic
    @Column(name = "frame_last_year", nullable = true)
    public Integer getFrameLastYear() {
        return frameLastYear;
    }

    public void setFrameLastYear(Integer frameLastYear) {
        this.frameLastYear = frameLastYear;
    }

    @Basic
    @Column(name = "frame_speed_increase", nullable = true, precision = 0)
    public Float getFrameSpeedIncrease() {
        return frameSpeedIncrease;
    }

    public void setFrameSpeedIncrease(Float frameSpeedIncrease) {
        this.frameSpeedIncrease = frameSpeedIncrease;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (o == null || getClass() != o.getClass()) return false;
        HsAirportThroughput that = (HsAirportThroughput) o;
        return id == that.id &&
                Objects.equals(gmtCreate, that.gmtCreate) &&
                Objects.equals(creator, that.creator) &&
                Objects.equals(gmtModified, that.gmtModified) &&
                Objects.equals(modifier, that.modifier) &&
                Objects.equals(isDeleted, that.isDeleted) &&
                Objects.equals(name, that.name) &&
                Objects.equals(passengerOrder, that.passengerOrder) &&
                Objects.equals(passengerThisPeriod, that.passengerThisPeriod) &&
                Objects.equals(passengerLastYear, that.passengerLastYear) &&
                Objects.equals(passengerSpeedIncrease, that.passengerSpeedIncrease) &&
                Objects.equals(mailingOrder, that.mailingOrder) &&
                Objects.equals(mailingThisPeriod, that.mailingThisPeriod) &&
                Objects.equals(mailingLastYear, that.mailingLastYear) &&
                Objects.equals(mailingSpeedIncrease, that.mailingSpeedIncrease) &&
                Objects.equals(frameOrder, that.frameOrder) &&
                Objects.equals(frameThisPeriod, that.frameThisPeriod) &&
                Objects.equals(frameLastYear, that.frameLastYear) &&
                Objects.equals(frameSpeedIncrease, that.frameSpeedIncrease);
    }

    @Override
    public int hashCode() {
        return Objects.hash(id, gmtCreate, creator, gmtModified, modifier, isDeleted, name, passengerOrder, passengerThisPeriod, passengerLastYear, passengerSpeedIncrease, mailingOrder, mailingThisPeriod, mailingLastYear, mailingSpeedIncrease, frameOrder, frameThisPeriod, frameLastYear, frameSpeedIncrease);
    }
}
