package com.dgtis.common.model;

import javax.persistence.*;
import java.sql.Date;
import java.sql.Timestamp;
import java.util.Objects;

/**
 * @Author: csz
 * @Date: 2019/4/11 12:12
 */
@Entity
@Table(name = "hs_check_account", schema = "hsdata", catalog = "")
public class HsCheckAccount {
    private long id;
    private Timestamp gmtCreate;
    private String creator;
    private Timestamp gmtModified;
    private String modifier;
    private String isDeleted;
    private String name;
    private String details;
    private Date checkDate;
    private String processingOpinions;
    private String manager;

    @Id
    @Column(name = "ID", nullable = false)
    public long getId() {
        return id;
    }

    public void setId(long id) {
        this.id = id;
    }

    @Basic
    @Column(name = "GMT_CREATE", nullable = true)
    public Timestamp getGmtCreate() {
        return gmtCreate;
    }

    public void setGmtCreate(Timestamp gmtCreate) {
        this.gmtCreate = gmtCreate;
    }

    @Basic
    @Column(name = "CREATOR", nullable = true, length = 30)
    public String getCreator() {
        return creator;
    }

    public void setCreator(String creator) {
        this.creator = creator;
    }

    @Basic
    @Column(name = "GMT_MODIFIED", nullable = true)
    public Timestamp getGmtModified() {
        return gmtModified;
    }

    public void setGmtModified(Timestamp gmtModified) {
        this.gmtModified = gmtModified;
    }

    @Basic
    @Column(name = "MODIFIER", nullable = true, length = 30)
    public String getModifier() {
        return modifier;
    }

    public void setModifier(String modifier) {
        this.modifier = modifier;
    }

    @Basic
    @Column(name = "IS_DELETED", nullable = true, length = 1)
    public String getIsDeleted() {
        return isDeleted;
    }

    public void setIsDeleted(String isDeleted) {
        this.isDeleted = isDeleted;
    }

    @Basic
    @Column(name = "name", nullable = true, length = 200)
    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    @Basic
    @Column(name = "details", nullable = true, length = 3000)
    public String getDetails() {
        return details;
    }

    public void setDetails(String details) {
        this.details = details;
    }

    @Basic
    @Column(name = "check_date", nullable = true)
    public Date getCheckDate() {
        return checkDate;
    }

    public void setCheckDate(Date checkDate) {
        this.checkDate = checkDate;
    }

    @Basic
    @Column(name = "processing_opinions", nullable = true, length = 3000)
    public String getProcessingOpinions() {
        return processingOpinions;
    }

    public void setProcessingOpinions(String processingOpinions) {
        this.processingOpinions = processingOpinions;
    }

    @Basic
    @Column(name = "manager", nullable = true, length = 100)
    public String getManager() {
        return manager;
    }

    public void setManager(String manager) {
        this.manager = manager;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (o == null || getClass() != o.getClass()) return false;
        HsCheckAccount that = (HsCheckAccount) o;
        return id == that.id &&
                Objects.equals(gmtCreate, that.gmtCreate) &&
                Objects.equals(creator, that.creator) &&
                Objects.equals(gmtModified, that.gmtModified) &&
                Objects.equals(modifier, that.modifier) &&
                Objects.equals(isDeleted, that.isDeleted) &&
                Objects.equals(name, that.name) &&
                Objects.equals(details, that.details) &&
                Objects.equals(checkDate, that.checkDate) &&
                Objects.equals(processingOpinions, that.processingOpinions) &&
                Objects.equals(manager, that.manager);
    }

    @Override
    public int hashCode() {
        return Objects.hash(id, gmtCreate, creator, gmtModified, modifier, isDeleted, name, details, checkDate, processingOpinions, manager);
    }
}
