package com.dgtis.common.model;

import javax.persistence.*;
import java.sql.Timestamp;
import java.util.Objects;

/**
 * @Author: csz
 * @Date: 2019/4/11 12:14
 */
@Entity
@Table(name = "hs_court_roster", schema = "hsdata", catalog = "")
public class HsCourtRoster {
    private long id;
    private Timestamp gmtCreate;
    private String creator;
    private Timestamp gmtModified;
    private String modifier;
    private String isDeleted;
    private String name;
    private String companyName;
    private String position;
    private String managementUnit;
    private String type;

    @Id
    @Column(name = "ID", nullable = false)
    public long getId() {
        return id;
    }

    public void setId(long id) {
        this.id = id;
    }

    @Basic
    @Column(name = "GMT_CREATE", nullable = true)
    public Timestamp getGmtCreate() {
        return gmtCreate;
    }

    public void setGmtCreate(Timestamp gmtCreate) {
        this.gmtCreate = gmtCreate;
    }

    @Basic
    @Column(name = "CREATOR", nullable = true, length = 30)
    public String getCreator() {
        return creator;
    }

    public void setCreator(String creator) {
        this.creator = creator;
    }

    @Basic
    @Column(name = "GMT_MODIFIED", nullable = true)
    public Timestamp getGmtModified() {
        return gmtModified;
    }

    public void setGmtModified(Timestamp gmtModified) {
        this.gmtModified = gmtModified;
    }

    @Basic
    @Column(name = "MODIFIER", nullable = true, length = 30)
    public String getModifier() {
        return modifier;
    }

    public void setModifier(String modifier) {
        this.modifier = modifier;
    }

    @Basic
    @Column(name = "IS_DELETED", nullable = true, length = 1)
    public String getIsDeleted() {
        return isDeleted;
    }

    public void setIsDeleted(String isDeleted) {
        this.isDeleted = isDeleted;
    }

    @Basic
    @Column(name = "name", nullable = true, length = 100)
    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    @Basic
    @Column(name = "company_name", nullable = true, length = 100)
    public String getCompanyName() {
        return companyName;
    }

    public void setCompanyName(String companyName) {
        this.companyName = companyName;
    }

    @Basic
    @Column(name = "position", nullable = true, length = 1000)
    public String getPosition() {
        return position;
    }

    public void setPosition(String position) {
        this.position = position;
    }

    @Basic
    @Column(name = "management_unit", nullable = true, length = 300)
    public String getManagementUnit() {
        return managementUnit;
    }

    public void setManagementUnit(String managementUnit) {
        this.managementUnit = managementUnit;
    }

    @Basic
    @Column(name = "type", nullable = true, length = 300)
    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (o == null || getClass() != o.getClass()) return false;
        HsCourtRoster that = (HsCourtRoster) o;
        return id == that.id &&
                Objects.equals(gmtCreate, that.gmtCreate) &&
                Objects.equals(creator, that.creator) &&
                Objects.equals(gmtModified, that.gmtModified) &&
                Objects.equals(modifier, that.modifier) &&
                Objects.equals(isDeleted, that.isDeleted) &&
                Objects.equals(name, that.name) &&
                Objects.equals(companyName, that.companyName) &&
                Objects.equals(position, that.position) &&
                Objects.equals(managementUnit, that.managementUnit) &&
                Objects.equals(type, that.type);
    }

    @Override
    public int hashCode() {
        return Objects.hash(id, gmtCreate, creator, gmtModified, modifier, isDeleted, name, companyName, position, managementUnit, type);
    }
}
