package com.dgtis.common.model;

import javax.persistence.*;
import java.sql.Timestamp;
import java.util.Objects;

/**
 * @Author: csz
 * @Date: 2019/4/11 15:04
 */
@Entity
@Table(name = "hs_highschoolstudent_number", schema = "hsdata", catalog = "")
public class HsHighschoolstudentNumber {
    private long id;
    private Timestamp gmtCreate;
    private String creator;
    private Timestamp gmtModified;
    private String modifier;
    private String isDeleted;
    private String name;
    private Integer graduates;
    private Integer entrants;
    private Integer enrolmentTotal;
    private Integer enrolmentFemale;
    private Integer enrolmentGradeOne;
    private Integer enrolmentGradeTwo;
    private Integer enrolmentGradeThree;
    private Integer expectedGraduate;

    @Id
    @Column(name = "ID", nullable = false)
    public long getId() {
        return id;
    }

    public void setId(long id) {
        this.id = id;
    }

    @Basic
    @Column(name = "GMT_CREATE", nullable = true)
    public Timestamp getGmtCreate() {
        return gmtCreate;
    }

    public void setGmtCreate(Timestamp gmtCreate) {
        this.gmtCreate = gmtCreate;
    }

    @Basic
    @Column(name = "CREATOR", nullable = true, length = 30)
    public String getCreator() {
        return creator;
    }

    public void setCreator(String creator) {
        this.creator = creator;
    }

    @Basic
    @Column(name = "GMT_MODIFIED", nullable = true)
    public Timestamp getGmtModified() {
        return gmtModified;
    }

    public void setGmtModified(Timestamp gmtModified) {
        this.gmtModified = gmtModified;
    }

    @Basic
    @Column(name = "MODIFIER", nullable = true, length = 30)
    public String getModifier() {
        return modifier;
    }

    public void setModifier(String modifier) {
        this.modifier = modifier;
    }

    @Basic
    @Column(name = "IS_DELETED", nullable = true, length = 1)
    public String getIsDeleted() {
        return isDeleted;
    }

    public void setIsDeleted(String isDeleted) {
        this.isDeleted = isDeleted;
    }

    @Basic
    @Column(name = "name", nullable = true, length = 100)
    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    @Basic
    @Column(name = "graduates", nullable = true)
    public Integer getGraduates() {
        return graduates;
    }

    public void setGraduates(Integer graduates) {
        this.graduates = graduates;
    }

    @Basic
    @Column(name = "entrants", nullable = true)
    public Integer getEntrants() {
        return entrants;
    }

    public void setEntrants(Integer entrants) {
        this.entrants = entrants;
    }

    @Basic
    @Column(name = "enrolment_total", nullable = true)
    public Integer getEnrolmentTotal() {
        return enrolmentTotal;
    }

    public void setEnrolmentTotal(Integer enrolmentTotal) {
        this.enrolmentTotal = enrolmentTotal;
    }

    @Basic
    @Column(name = "enrolment_female", nullable = true)
    public Integer getEnrolmentFemale() {
        return enrolmentFemale;
    }

    public void setEnrolmentFemale(Integer enrolmentFemale) {
        this.enrolmentFemale = enrolmentFemale;
    }

    @Basic
    @Column(name = "enrolment_grade_one", nullable = true)
    public Integer getEnrolmentGradeOne() {
        return enrolmentGradeOne;
    }

    public void setEnrolmentGradeOne(Integer enrolmentGradeOne) {
        this.enrolmentGradeOne = enrolmentGradeOne;
    }

    @Basic
    @Column(name = "enrolment_grade_two", nullable = true)
    public Integer getEnrolmentGradeTwo() {
        return enrolmentGradeTwo;
    }

    public void setEnrolmentGradeTwo(Integer enrolmentGradeTwo) {
        this.enrolmentGradeTwo = enrolmentGradeTwo;
    }

    @Basic
    @Column(name = "enrolment_grade_three", nullable = true)
    public Integer getEnrolmentGradeThree() {
        return enrolmentGradeThree;
    }

    public void setEnrolmentGradeThree(Integer enrolmentGradeThree) {
        this.enrolmentGradeThree = enrolmentGradeThree;
    }

    @Basic
    @Column(name = "expected_graduate", nullable = true)
    public Integer getExpectedGraduate() {
        return expectedGraduate;
    }

    public void setExpectedGraduate(Integer expectedGraduate) {
        this.expectedGraduate = expectedGraduate;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (o == null || getClass() != o.getClass()) return false;
        HsHighschoolstudentNumber that = (HsHighschoolstudentNumber) o;
        return id == that.id &&
                Objects.equals(gmtCreate, that.gmtCreate) &&
                Objects.equals(creator, that.creator) &&
                Objects.equals(gmtModified, that.gmtModified) &&
                Objects.equals(modifier, that.modifier) &&
                Objects.equals(isDeleted, that.isDeleted) &&
                Objects.equals(name, that.name) &&
                Objects.equals(graduates, that.graduates) &&
                Objects.equals(entrants, that.entrants) &&
                Objects.equals(enrolmentTotal, that.enrolmentTotal) &&
                Objects.equals(enrolmentFemale, that.enrolmentFemale) &&
                Objects.equals(enrolmentGradeOne, that.enrolmentGradeOne) &&
                Objects.equals(enrolmentGradeTwo, that.enrolmentGradeTwo) &&
                Objects.equals(enrolmentGradeThree, that.enrolmentGradeThree) &&
                Objects.equals(expectedGraduate, that.expectedGraduate);
    }

    @Override
    public int hashCode() {
        return Objects.hash(id, gmtCreate, creator, gmtModified, modifier, isDeleted, name, graduates, entrants, enrolmentTotal, enrolmentFemale, enrolmentGradeOne, enrolmentGradeTwo, enrolmentGradeThree, expectedGraduate);
    }
}
