package com.dgtis.common.model;

import javax.persistence.*;
import java.sql.Date;
import java.sql.Timestamp;
import java.util.Objects;

/**
 * @Author: csz
 * @Date: 2019/4/10 19:46
 */
@Entity
@Table(name = "hs_housing_agency", schema = "hsdata", catalog = "")
public class HsHousingAgency {
    private long id;
    private Timestamp gmtCreate;
    private String creator;
    private Timestamp gmtModified;
    private String modifier;
    private String isDeleted;
    private String name;
    private String address;
    private String legalPerson;
    private String phone;
    private String registeredCapital;
    private String paidInCapital;
    private String businessStatus;
    private Date dateEstablishment;
    private String socialCreditCode;
    private String taxpayerIdentificationNumber;
    private String registrationNumber;
    private String organizationCode;
    private String companyType;
    private String industry;
    private Date approvalDate;
    private String registrationAuthority;
    private String area;
    private String operatingPeriod;
    private String businessScope;

    @Id
    @Column(name = "ID", nullable = false)
    public long getId() {
        return id;
    }

    public void setId(long id) {
        this.id = id;
    }

    @Basic
    @Column(name = "GMT_CREATE", nullable = true)
    public Timestamp getGmtCreate() {
        return gmtCreate;
    }

    public void setGmtCreate(Timestamp gmtCreate) {
        this.gmtCreate = gmtCreate;
    }

    @Basic
    @Column(name = "CREATOR", nullable = true, length = 30)
    public String getCreator() {
        return creator;
    }

    public void setCreator(String creator) {
        this.creator = creator;
    }

    @Basic
    @Column(name = "GMT_MODIFIED", nullable = true)
    public Timestamp getGmtModified() {
        return gmtModified;
    }

    public void setGmtModified(Timestamp gmtModified) {
        this.gmtModified = gmtModified;
    }

    @Basic
    @Column(name = "MODIFIER", nullable = true, length = 30)
    public String getModifier() {
        return modifier;
    }

    public void setModifier(String modifier) {
        this.modifier = modifier;
    }

    @Basic
    @Column(name = "IS_DELETED", nullable = true, length = 1)
    public String getIsDeleted() {
        return isDeleted;
    }

    public void setIsDeleted(String isDeleted) {
        this.isDeleted = isDeleted;
    }

    @Basic
    @Column(name = "name", nullable = true, length = 200)
    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    @Basic
    @Column(name = "address", nullable = true, length = 500)
    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address;
    }

    @Basic
    @Column(name = "legal_person", nullable = true, length = 100)
    public String getLegalPerson() {
        return legalPerson;
    }

    public void setLegalPerson(String legalPerson) {
        this.legalPerson = legalPerson;
    }

    @Basic
    @Column(name = "phone", nullable = true, length = 50)
    public String getPhone() {
        return phone;
    }

    public void setPhone(String phone) {
        this.phone = phone;
    }

    @Basic
    @Column(name = "registered_capital", nullable = true, length = 200)
    public String getRegisteredCapital() {
        return registeredCapital;
    }

    public void setRegisteredCapital(String registeredCapital) {
        this.registeredCapital = registeredCapital;
    }

    @Basic
    @Column(name = "paid_in_capital", nullable = true, length = 200)
    public String getPaidInCapital() {
        return paidInCapital;
    }

    public void setPaidInCapital(String paidInCapital) {
        this.paidInCapital = paidInCapital;
    }

    @Basic
    @Column(name = "business_status", nullable = true, length = 255)
    public String getBusinessStatus() {
        return businessStatus;
    }

    public void setBusinessStatus(String businessStatus) {
        this.businessStatus = businessStatus;
    }

    @Basic
    @Column(name = "date_establishment", nullable = true)
    public Date getDateEstablishment() {
        return dateEstablishment;
    }

    public void setDateEstablishment(Date dateEstablishment) {
        this.dateEstablishment = dateEstablishment;
    }

    @Basic
    @Column(name = "social_credit_code", nullable = true, length = 300)
    public String getSocialCreditCode() {
        return socialCreditCode;
    }

    public void setSocialCreditCode(String socialCreditCode) {
        this.socialCreditCode = socialCreditCode;
    }

    @Basic
    @Column(name = "taxpayer_identification_number", nullable = true, length = 200)
    public String getTaxpayerIdentificationNumber() {
        return taxpayerIdentificationNumber;
    }

    public void setTaxpayerIdentificationNumber(String taxpayerIdentificationNumber) {
        this.taxpayerIdentificationNumber = taxpayerIdentificationNumber;
    }

    @Basic
    @Column(name = "registration_number", nullable = true, length = 200)
    public String getRegistrationNumber() {
        return registrationNumber;
    }

    public void setRegistrationNumber(String registrationNumber) {
        this.registrationNumber = registrationNumber;
    }

    @Basic
    @Column(name = "organization_code", nullable = true, length = 200)
    public String getOrganizationCode() {
        return organizationCode;
    }

    public void setOrganizationCode(String organizationCode) {
        this.organizationCode = organizationCode;
    }

    @Basic
    @Column(name = "company_type", nullable = true, length = 300)
    public String getCompanyType() {
        return companyType;
    }

    public void setCompanyType(String companyType) {
        this.companyType = companyType;
    }

    @Basic
    @Column(name = "industry", nullable = true, length = 200)
    public String getIndustry() {
        return industry;
    }

    public void setIndustry(String industry) {
        this.industry = industry;
    }

    @Basic
    @Column(name = "approval_date", nullable = true)
    public Date getApprovalDate() {
        return approvalDate;
    }

    public void setApprovalDate(Date approvalDate) {
        this.approvalDate = approvalDate;
    }

    @Basic
    @Column(name = "registration_authority", nullable = true, length = 300)
    public String getRegistrationAuthority() {
        return registrationAuthority;
    }

    public void setRegistrationAuthority(String registrationAuthority) {
        this.registrationAuthority = registrationAuthority;
    }

    @Basic
    @Column(name = "area", nullable = true, length = 200)
    public String getArea() {
        return area;
    }

    public void setArea(String area) {
        this.area = area;
    }

    @Basic
    @Column(name = "operating_period", nullable = true, length = 300)
    public String getOperatingPeriod() {
        return operatingPeriod;
    }

    public void setOperatingPeriod(String operatingPeriod) {
        this.operatingPeriod = operatingPeriod;
    }

    @Basic
    @Column(name = "business_scope", nullable = true, length = 2000)
    public String getBusinessScope() {
        return businessScope;
    }

    public void setBusinessScope(String businessScope) {
        this.businessScope = businessScope;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (o == null || getClass() != o.getClass()) return false;
        HsHousingAgency that = (HsHousingAgency) o;
        return id == that.id &&
                Objects.equals(gmtCreate, that.gmtCreate) &&
                Objects.equals(creator, that.creator) &&
                Objects.equals(gmtModified, that.gmtModified) &&
                Objects.equals(modifier, that.modifier) &&
                Objects.equals(isDeleted, that.isDeleted) &&
                Objects.equals(name, that.name) &&
                Objects.equals(address, that.address) &&
                Objects.equals(legalPerson, that.legalPerson) &&
                Objects.equals(phone, that.phone) &&
                Objects.equals(registeredCapital, that.registeredCapital) &&
                Objects.equals(paidInCapital, that.paidInCapital) &&
                Objects.equals(businessStatus, that.businessStatus) &&
                Objects.equals(dateEstablishment, that.dateEstablishment) &&
                Objects.equals(socialCreditCode, that.socialCreditCode) &&
                Objects.equals(taxpayerIdentificationNumber, that.taxpayerIdentificationNumber) &&
                Objects.equals(registrationNumber, that.registrationNumber) &&
                Objects.equals(organizationCode, that.organizationCode) &&
                Objects.equals(companyType, that.companyType) &&
                Objects.equals(industry, that.industry) &&
                Objects.equals(approvalDate, that.approvalDate) &&
                Objects.equals(registrationAuthority, that.registrationAuthority) &&
                Objects.equals(area, that.area) &&
                Objects.equals(operatingPeriod, that.operatingPeriod) &&
                Objects.equals(businessScope, that.businessScope);
    }

    @Override
    public int hashCode() {
        return Objects.hash(id, gmtCreate, creator, gmtModified, modifier, isDeleted, name, address, legalPerson, phone, registeredCapital, paidInCapital, businessStatus, dateEstablishment, socialCreditCode, taxpayerIdentificationNumber, registrationNumber, organizationCode, companyType, industry, approvalDate, registrationAuthority, area, operatingPeriod, businessScope);
    }
}
