package com.dgtis.common.model;

import javax.persistence.*;
import java.sql.Timestamp;
import java.util.Objects;

/**
 * @Author: csz
 * @Date: 2019/4/9 15:23
 */
@Entity
@Table(name = "hs_professional_qualification", schema = "hsdata", catalog = "")
public class HsProfessionalQualification {
    private long id;
    private Timestamp gmtCreate;
    private String creator;
    private Timestamp gmtModified;
    private String modifier;
    private String isDeleted;
    private String classification;
    private String name;
    private String implementationUnit;
    private String qualificationCategory;
    private String settingBasis;
    private String remarks;

    @Id
    @Column(name = "ID", nullable = false)
    public long getId() {
        return id;
    }

    public void setId(long id) {
        this.id = id;
    }

    @Basic
    @Column(name = "GMT_CREATE", nullable = true)
    public Timestamp getGmtCreate() {
        return gmtCreate;
    }

    public void setGmtCreate(Timestamp gmtCreate) {
        this.gmtCreate = gmtCreate;
    }

    @Basic
    @Column(name = "CREATOR", nullable = true, length = 30)
    public String getCreator() {
        return creator;
    }

    public void setCreator(String creator) {
        this.creator = creator;
    }

    @Basic
    @Column(name = "GMT_MODIFIED", nullable = true)
    public Timestamp getGmtModified() {
        return gmtModified;
    }

    public void setGmtModified(Timestamp gmtModified) {
        this.gmtModified = gmtModified;
    }

    @Basic
    @Column(name = "MODIFIER", nullable = true, length = 30)
    public String getModifier() {
        return modifier;
    }

    public void setModifier(String modifier) {
        this.modifier = modifier;
    }

    @Basic
    @Column(name = "IS_DELETED", nullable = true, length = 1)
    public String getIsDeleted() {
        return isDeleted;
    }

    public void setIsDeleted(String isDeleted) {
        this.isDeleted = isDeleted;
    }

    @Basic
    @Column(name = "classification", nullable = true, length = 300)
    public String getClassification() {
        return classification;
    }

    public void setClassification(String classification) {
        this.classification = classification;
    }

    @Basic
    @Column(name = "name", nullable = true, length = 500)
    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    @Basic
    @Column(name = "implementation_unit", nullable = true, length = 200)
    public String getImplementationUnit() {
        return implementationUnit;
    }

    public void setImplementationUnit(String implementationUnit) {
        this.implementationUnit = implementationUnit;
    }

    @Basic
    @Column(name = "qualification_category", nullable = true, length = 100)
    public String getQualificationCategory() {
        return qualificationCategory;
    }

    public void setQualificationCategory(String qualificationCategory) {
        this.qualificationCategory = qualificationCategory;
    }

    @Basic
    @Column(name = "setting_basis", nullable = true, length = 3000)
    public String getSettingBasis() {
        return settingBasis;
    }

    public void setSettingBasis(String settingBasis) {
        this.settingBasis = settingBasis;
    }

    @Basic
    @Column(name = "remarks", nullable = true, length = 1000)
    public String getRemarks() {
        return remarks;
    }

    public void setRemarks(String remarks) {
        this.remarks = remarks;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (o == null || getClass() != o.getClass()) return false;
        HsProfessionalQualification that = (HsProfessionalQualification) o;
        return id == that.id &&
                Objects.equals(gmtCreate, that.gmtCreate) &&
                Objects.equals(creator, that.creator) &&
                Objects.equals(gmtModified, that.gmtModified) &&
                Objects.equals(modifier, that.modifier) &&
                Objects.equals(isDeleted, that.isDeleted) &&
                Objects.equals(classification, that.classification) &&
                Objects.equals(name, that.name) &&
                Objects.equals(implementationUnit, that.implementationUnit) &&
                Objects.equals(qualificationCategory, that.qualificationCategory) &&
                Objects.equals(settingBasis, that.settingBasis) &&
                Objects.equals(remarks, that.remarks);
    }

    @Override
    public int hashCode() {
        return Objects.hash(id, gmtCreate, creator, gmtModified, modifier, isDeleted, classification, name, implementationUnit, qualificationCategory, settingBasis, remarks);
    }
}
