package com.dgtis.common.model;

import javax.persistence.*;
import java.sql.Timestamp;
import java.util.Objects;

/**
 * @Author: csz
 * @Date: 2019/4/11 12:20
 */
@Entity
@Table(name = "hs_safe_housing_project", schema = "hsdata", catalog = "")
public class HsSafeHousingProject {
    private long id;
    private Timestamp gmtCreate;
    private String creator;
    private Timestamp gmtModified;
    private String modifier;
    private String isDeleted;
    private String name;
    private Integer shantyTownOpen;
    private Integer shantyTownDone;
    private Integer publicHousing;
    private Integer rentalSubsidies;

    @Id
    @Column(name = "ID", nullable = false)
    public long getId() {
        return id;
    }

    public void setId(long id) {
        this.id = id;
    }

    @Basic
    @Column(name = "GMT_CREATE", nullable = true)
    public Timestamp getGmtCreate() {
        return gmtCreate;
    }

    public void setGmtCreate(Timestamp gmtCreate) {
        this.gmtCreate = gmtCreate;
    }

    @Basic
    @Column(name = "CREATOR", nullable = true, length = 30)
    public String getCreator() {
        return creator;
    }

    public void setCreator(String creator) {
        this.creator = creator;
    }

    @Basic
    @Column(name = "GMT_MODIFIED", nullable = true)
    public Timestamp getGmtModified() {
        return gmtModified;
    }

    public void setGmtModified(Timestamp gmtModified) {
        this.gmtModified = gmtModified;
    }

    @Basic
    @Column(name = "MODIFIER", nullable = true, length = 30)
    public String getModifier() {
        return modifier;
    }

    public void setModifier(String modifier) {
        this.modifier = modifier;
    }

    @Basic
    @Column(name = "IS_DELETED", nullable = true, length = 1)
    public String getIsDeleted() {
        return isDeleted;
    }

    public void setIsDeleted(String isDeleted) {
        this.isDeleted = isDeleted;
    }

    @Basic
    @Column(name = "name", nullable = true, length = 100)
    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    @Basic
    @Column(name = "shanty_town_open", nullable = true)
    public Integer getShantyTownOpen() {
        return shantyTownOpen;
    }

    public void setShantyTownOpen(Integer shantyTownOpen) {
        this.shantyTownOpen = shantyTownOpen;
    }

    @Basic
    @Column(name = "shanty_town_done", nullable = true)
    public Integer getShantyTownDone() {
        return shantyTownDone;
    }

    public void setShantyTownDone(Integer shantyTownDone) {
        this.shantyTownDone = shantyTownDone;
    }

    @Basic
    @Column(name = "public_housing", nullable = true)
    public Integer getPublicHousing() {
        return publicHousing;
    }

    public void setPublicHousing(Integer publicHousing) {
        this.publicHousing = publicHousing;
    }

    @Basic
    @Column(name = "rental_subsidies", nullable = true)
    public Integer getRentalSubsidies() {
        return rentalSubsidies;
    }

    public void setRentalSubsidies(Integer rentalSubsidies) {
        this.rentalSubsidies = rentalSubsidies;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (o == null || getClass() != o.getClass()) return false;
        HsSafeHousingProject that = (HsSafeHousingProject) o;
        return id == that.id &&
                Objects.equals(gmtCreate, that.gmtCreate) &&
                Objects.equals(creator, that.creator) &&
                Objects.equals(gmtModified, that.gmtModified) &&
                Objects.equals(modifier, that.modifier) &&
                Objects.equals(isDeleted, that.isDeleted) &&
                Objects.equals(name, that.name) &&
                Objects.equals(shantyTownOpen, that.shantyTownOpen) &&
                Objects.equals(shantyTownDone, that.shantyTownDone) &&
                Objects.equals(publicHousing, that.publicHousing) &&
                Objects.equals(rentalSubsidies, that.rentalSubsidies);
    }

    @Override
    public int hashCode() {
        return Objects.hash(id, gmtCreate, creator, gmtModified, modifier, isDeleted, name, shantyTownOpen, shantyTownDone, publicHousing, rentalSubsidies);
    }
}
