package com.dgtis.common.repository;

import com.dgtis.common.model.HsPark;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.query.Param;
import org.springframework.data.rest.core.annotation.RepositoryRestResource;
import org.springframework.data.rest.core.annotation.RestResource;

import java.util.List;

/**
 * @Author: csz
 * @Date: 2019/4/4 14:36
 */
@RepositoryRestResource(collectionResourceRel = "park", path = "park")
public interface HsParkRepository extends JpaRepository<HsPark, Long> {

    @RestResource(path = "nameLike", rel = "nameLike")
    @Query(value = "select h from HsPark h where h.name like %?1%")
    List<HsPark> findByNameLike(@Param("name") String name);
}
