package com.dgtis.jobsubsidy.model;

import javax.persistence.*;
import java.sql.Timestamp;
import java.util.Objects;

/**
 * @Author: csz
 * @Date: 2019/4/9 14:26
 */
@Entity
@Table(name = "hs_job_subsidy", schema = "hsdata", catalog = "")
public class HsJobSubsidy {
    private long id;
    private Timestamp gmtCreate;
    private String creator;
    private Timestamp gmtModified;
    private String modifier;
    private String isDeleted;
    private String name;
    private Double jobSubsidy;
    private Double socialSecuritySubsidy;
    private String job;
    private String serviceCenter;

    @Id
    @Column(name = "ID", nullable = false)
    public long getId() {
        return id;
    }

    public void setId(long id) {
        this.id = id;
    }

    @Basic
    @Column(name = "GMT_CREATE", nullable = true)
    public Timestamp getGmtCreate() {
        return gmtCreate;
    }

    public void setGmtCreate(Timestamp gmtCreate) {
        this.gmtCreate = gmtCreate;
    }

    @Basic
    @Column(name = "CREATOR", nullable = true, length = 30)
    public String getCreator() {
        return creator;
    }

    public void setCreator(String creator) {
        this.creator = creator;
    }

    @Basic
    @Column(name = "GMT_MODIFIED", nullable = true)
    public Timestamp getGmtModified() {
        return gmtModified;
    }

    public void setGmtModified(Timestamp gmtModified) {
        this.gmtModified = gmtModified;
    }

    @Basic
    @Column(name = "MODIFIER", nullable = true, length = 30)
    public String getModifier() {
        return modifier;
    }

    public void setModifier(String modifier) {
        this.modifier = modifier;
    }

    @Basic
    @Column(name = "IS_DELETED", nullable = true, length = 1)
    public String getIsDeleted() {
        return isDeleted;
    }

    public void setIsDeleted(String isDeleted) {
        this.isDeleted = isDeleted;
    }

    @Basic
    @Column(name = "name", nullable = true, length = 100)
    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    @Basic
    @Column(name = "job_subsidy", nullable = true, precision = 0)
    public Double getJobSubsidy() {
        return jobSubsidy;
    }

    public void setJobSubsidy(Double jobSubsidy) {
        this.jobSubsidy = jobSubsidy;
    }

    @Basic
    @Column(name = "social_security_subsidy", nullable = true, precision = 0)
    public Double getSocialSecuritySubsidy() {
        return socialSecuritySubsidy;
    }

    public void setSocialSecuritySubsidy(Double socialSecuritySubsidy) {
        this.socialSecuritySubsidy = socialSecuritySubsidy;
    }

    @Basic
    @Column(name = "job", nullable = true, length = 100)
    public String getJob() {
        return job;
    }

    public void setJob(String job) {
        this.job = job;
    }

    @Basic
    @Column(name = "service_center", nullable = true, length = 100)
    public String getServiceCenter() {
        return serviceCenter;
    }

    public void setServiceCenter(String serviceCenter) {
        this.serviceCenter = serviceCenter;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (o == null || getClass() != o.getClass()) return false;
        HsJobSubsidy that = (HsJobSubsidy) o;
        return id == that.id &&
                Objects.equals(gmtCreate, that.gmtCreate) &&
                Objects.equals(creator, that.creator) &&
                Objects.equals(gmtModified, that.gmtModified) &&
                Objects.equals(modifier, that.modifier) &&
                Objects.equals(isDeleted, that.isDeleted) &&
                Objects.equals(name, that.name) &&
                Objects.equals(jobSubsidy, that.jobSubsidy) &&
                Objects.equals(socialSecuritySubsidy, that.socialSecuritySubsidy) &&
                Objects.equals(job, that.job) &&
                Objects.equals(serviceCenter, that.serviceCenter);
    }

    @Override
    public int hashCode() {
        return Objects.hash(id, gmtCreate, creator, gmtModified, modifier, isDeleted, name, jobSubsidy, socialSecuritySubsidy, job, serviceCenter);
    }
}
