package com.dgtis.middleschool.repository;

import com.dgtis.middleschool.model.HsMiddleSchool;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.query.Param;
import org.springframework.data.rest.core.annotation.RepositoryRestResource;
import org.springframework.data.rest.core.annotation.RestResource;

import java.util.List;

/**
 * @Author: csz
 * @Date: 2019/4/4 14:36
 */
@RepositoryRestResource(collectionResourceRel = "middleSchool", path = "middleSchool")
public interface HsMiddleSchoolRepository extends JpaRepository<HsMiddleSchool, Long> {

    @RestResource(path = "nameLike", rel = "nameLike")
    @Query(value = "select h from HsMiddleSchool h where h.name like %?1%")
    List<HsMiddleSchool> findByNameLike(@Param("name") String name);
}
