package com.dgtis.kindergarten.model;

import javax.persistence.*;
import java.sql.Timestamp;
import java.util.Objects;

/**
 * @Author: csz
 * @Date: 2019/4/8 18:43
 */
@Entity
@Table(name = "hs_kindergarten", schema = "hsdata", catalog = "")
public class HsKindergarten {
    private long id;
    private Timestamp gmtCreate;
    private String creator;
    private Timestamp gmtModified;
    private String modifier;
    private String isDeleted;
    private String city;
    private String area;
    private String name;
    private String address;
    private String organizerType;
    private String approvalDepartment;
    private String classLevel;
    private String classLevelTime;
    private String isPratt;
    private String principalName;
    private String principalPosition;
    private Integer facultyTotalPeople;
    private Integer facultyAdministrativeNumber;
    private Integer facultyTeacherNumber;
    private Integer facultyNurseNumber;
    private Integer facultyHealthWorkerNumber;
    private Integer facultyOtherNumber;
    private Integer classNumber;
    private Integer studentNumber;
    private String securityFee;

    @Id
    @Column(name = "ID", nullable = false)
    public long getId() {
        return id;
    }

    public void setId(long id) {
        this.id = id;
    }

    @Basic
    @Column(name = "GMT_CREATE", nullable = true)
    public Timestamp getGmtCreate() {
        return gmtCreate;
    }

    public void setGmtCreate(Timestamp gmtCreate) {
        this.gmtCreate = gmtCreate;
    }

    @Basic
    @Column(name = "CREATOR", nullable = true, length = 30)
    public String getCreator() {
        return creator;
    }

    public void setCreator(String creator) {
        this.creator = creator;
    }

    @Basic
    @Column(name = "GMT_MODIFIED", nullable = true)
    public Timestamp getGmtModified() {
        return gmtModified;
    }

    public void setGmtModified(Timestamp gmtModified) {
        this.gmtModified = gmtModified;
    }

    @Basic
    @Column(name = "MODIFIER", nullable = true, length = 30)
    public String getModifier() {
        return modifier;
    }

    public void setModifier(String modifier) {
        this.modifier = modifier;
    }

    @Basic
    @Column(name = "IS_DELETED", nullable = true, length = 1)
    public String getIsDeleted() {
        return isDeleted;
    }

    public void setIsDeleted(String isDeleted) {
        this.isDeleted = isDeleted;
    }

    @Basic
    @Column(name = "city", nullable = true, length = 50)
    public String getCity() {
        return city;
    }

    public void setCity(String city) {
        this.city = city;
    }

    @Basic
    @Column(name = "area", nullable = true, length = 100)
    public String getArea() {
        return area;
    }

    public void setArea(String area) {
        this.area = area;
    }

    @Basic
    @Column(name = "name", nullable = true, length = 200)
    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    @Basic
    @Column(name = "address", nullable = true, length = 500)
    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address;
    }

    @Basic
    @Column(name = "organizer_type", nullable = true, length = 100)
    public String getOrganizerType() {
        return organizerType;
    }

    public void setOrganizerType(String organizerType) {
        this.organizerType = organizerType;
    }

    @Basic
    @Column(name = "approval_department", nullable = true, length = 200)
    public String getApprovalDepartment() {
        return approvalDepartment;
    }

    public void setApprovalDepartment(String approvalDepartment) {
        this.approvalDepartment = approvalDepartment;
    }

    @Basic
    @Column(name = "class_level", nullable = true, length = 50)
    public String getClassLevel() {
        return classLevel;
    }

    public void setClassLevel(String classLevel) {
        this.classLevel = classLevel;
    }

    @Basic
    @Column(name = "class_level_time", nullable = true, length = 100)
    public String getClassLevelTime() {
        return classLevelTime;
    }

    public void setClassLevelTime(String classLevelTime) {
        this.classLevelTime = classLevelTime;
    }

    @Basic
    @Column(name = "is_pratt", nullable = true, length = 20)
    public String getIsPratt() {
        return isPratt;
    }

    public void setIsPratt(String isPratt) {
        this.isPratt = isPratt;
    }

    @Basic
    @Column(name = "principal_name", nullable = true, length = 100)
    public String getPrincipalName() {
        return principalName;
    }

    public void setPrincipalName(String principalName) {
        this.principalName = principalName;
    }

    @Basic
    @Column(name = "principal_position", nullable = true, length = 100)
    public String getPrincipalPosition() {
        return principalPosition;
    }

    public void setPrincipalPosition(String principalPosition) {
        this.principalPosition = principalPosition;
    }

    @Basic
    @Column(name = "faculty_total_people", nullable = true)
    public Integer getFacultyTotalPeople() {
        return facultyTotalPeople;
    }

    public void setFacultyTotalPeople(Integer facultyTotalPeople) {
        this.facultyTotalPeople = facultyTotalPeople;
    }

    @Basic
    @Column(name = "faculty_administrative_number", nullable = true)
    public Integer getFacultyAdministrativeNumber() {
        return facultyAdministrativeNumber;
    }

    public void setFacultyAdministrativeNumber(Integer facultyAdministrativeNumber) {
        this.facultyAdministrativeNumber = facultyAdministrativeNumber;
    }

    @Basic
    @Column(name = "faculty_teacher_number", nullable = true)
    public Integer getFacultyTeacherNumber() {
        return facultyTeacherNumber;
    }

    public void setFacultyTeacherNumber(Integer facultyTeacherNumber) {
        this.facultyTeacherNumber = facultyTeacherNumber;
    }

    @Basic
    @Column(name = "faculty_nurse_number", nullable = true)
    public Integer getFacultyNurseNumber() {
        return facultyNurseNumber;
    }

    public void setFacultyNurseNumber(Integer facultyNurseNumber) {
        this.facultyNurseNumber = facultyNurseNumber;
    }

    @Basic
    @Column(name = "faculty_health_worker_number", nullable = true)
    public Integer getFacultyHealthWorkerNumber() {
        return facultyHealthWorkerNumber;
    }

    public void setFacultyHealthWorkerNumber(Integer facultyHealthWorkerNumber) {
        this.facultyHealthWorkerNumber = facultyHealthWorkerNumber;
    }

    @Basic
    @Column(name = "faculty_other_number", nullable = true)
    public Integer getFacultyOtherNumber() {
        return facultyOtherNumber;
    }

    public void setFacultyOtherNumber(Integer facultyOtherNumber) {
        this.facultyOtherNumber = facultyOtherNumber;
    }

    @Basic
    @Column(name = "class_number", nullable = true)
    public Integer getClassNumber() {
        return classNumber;
    }

    public void setClassNumber(Integer classNumber) {
        this.classNumber = classNumber;
    }

    @Basic
    @Column(name = "student_number", nullable = true)
    public Integer getStudentNumber() {
        return studentNumber;
    }

    public void setStudentNumber(Integer studentNumber) {
        this.studentNumber = studentNumber;
    }

    @Basic
    @Column(name = "security_fee", nullable = true, length = 200)
    public String getSecurityFee() {
        return securityFee;
    }

    public void setSecurityFee(String securityFee) {
        this.securityFee = securityFee;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (o == null || getClass() != o.getClass()) return false;
        HsKindergarten that = (HsKindergarten) o;
        return id == that.id &&
                Objects.equals(gmtCreate, that.gmtCreate) &&
                Objects.equals(creator, that.creator) &&
                Objects.equals(gmtModified, that.gmtModified) &&
                Objects.equals(modifier, that.modifier) &&
                Objects.equals(isDeleted, that.isDeleted) &&
                Objects.equals(city, that.city) &&
                Objects.equals(area, that.area) &&
                Objects.equals(name, that.name) &&
                Objects.equals(address, that.address) &&
                Objects.equals(organizerType, that.organizerType) &&
                Objects.equals(approvalDepartment, that.approvalDepartment) &&
                Objects.equals(classLevel, that.classLevel) &&
                Objects.equals(classLevelTime, that.classLevelTime) &&
                Objects.equals(isPratt, that.isPratt) &&
                Objects.equals(principalName, that.principalName) &&
                Objects.equals(principalPosition, that.principalPosition) &&
                Objects.equals(facultyTotalPeople, that.facultyTotalPeople) &&
                Objects.equals(facultyAdministrativeNumber, that.facultyAdministrativeNumber) &&
                Objects.equals(facultyTeacherNumber, that.facultyTeacherNumber) &&
                Objects.equals(facultyNurseNumber, that.facultyNurseNumber) &&
                Objects.equals(facultyHealthWorkerNumber, that.facultyHealthWorkerNumber) &&
                Objects.equals(facultyOtherNumber, that.facultyOtherNumber) &&
                Objects.equals(classNumber, that.classNumber) &&
                Objects.equals(studentNumber, that.studentNumber) &&
                Objects.equals(securityFee, that.securityFee);
    }

    @Override
    public int hashCode() {
        return Objects.hash(id, gmtCreate, creator, gmtModified, modifier, isDeleted, city, area, name, address, organizerType, approvalDepartment, classLevel, classLevelTime, isPratt, principalName, principalPosition, facultyTotalPeople, facultyAdministrativeNumber, facultyTeacherNumber, facultyNurseNumber, facultyHealthWorkerNumber, facultyOtherNumber, classNumber, studentNumber, securityFee);
    }
}
